{% extends 'base.html' %}

{% block content %}
    <main>
        <div>
            <h1>{{ show_project_object.name }}</h1>
            <p>{{ show_project_object.description }}</p>
            <h2>Tasks</h2>
            <p><a href="{% url 'create_task' %}">Create a new task</a><p>
            {% if show_project_object.tasks.count > 0 %}
            <table>
                <thead>
                    <tr>
                        <td>Name</td>
                        <td>Assignee</td>
                        <td>Start date</td>
                        <td>Due date</td>
                        <td>Is completed</td>
                    </tr>
                </thead>
                <tbody>
                    {% for project in show_project_object.tasks.all %}
                    <tr>
                        <td>{{ project.name }}</td>
                        <td>{{ project.assignee }}</td>
                        <td>{{ project.start_date }}</td>
                        <td>{{ project.due_date }}</td>
                        <td>{{ project.is_completed|yesno }}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
            {% else %}
            <p>This project has no tasks</p>
            {% endif %}
        </div>
    </main>
</body>
{% endblock content %}
</html>
